JSCUS_CACHE = function(){};
JSCUS_CACHE.SITE_SHOW_RESULT_PER_PAGE_PLAIN_TEXT = 1000;
JSCUS_CACHE.SITE_ON_ERROR_BORDER_COLOR = '#FF0000';
JSCUS_CACHE.IS_AUTHENTICATED = <!--[#IS_AUTHENTICATED;]-->;

JSCUS_CACHE.SERVER_URL = "<!--[#SITE_URL;]-->";
JSCUS_CACHE.ROOT_PATH = JSCUS_CACHE.SERVER_URL;
JSCUS_CACHE.WEBSITE_NAME = "Peak Commissary";
JSCUS_CACHE.COPY_RIGHTS = "Copyright &copy; " + JSCUS_CACHE.WEBSITE_NAME + " 2022";
JSCUS_CACHE.CONFIG_CODE = "";
JSCUS_CACHE.IS_MOBILE = false;
JSCUS_CACHE.COMMISSARY_MODE = 'WATER';

JSCUS_CACHE.AUTH_REDIRECT_URL = [];
JSCUS_CACHE.AUTH_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/category/prod_finish.html'); 
JSCUS_CACHE.AUTH_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/m/record/trans_list.html'); 

JSCUS_CACHE.LOGOUT_REDIRECT_URL = [];
JSCUS_CACHE.LOGOUT_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/login.html');
JSCUS_CACHE.LOGOUT_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/m/login.html');

// 0-PC Login 
// 1-App Customized Login (Type 1) 
// 2-App Customized Login (Type 2), etc.
JSCUS_CACHE.LOGIN_CLASS = 0;

JSCUS_CACHE.SET_VAT_PERCENTAGE = 0.12;
JSCUS_CACHE.SET_ARRAY_REQUEST_LIMIT = <!--[#SITE_ARRAY_REQUEST_LIMIT;]-->;
JSCUS_CACHE.SET_UPLOAD_MAX_FILE_SIZE = JSVC_NUM.VAR_NVAL('<!--[#UPLOAD_MAX_FILE_SIZE;]-->');
JSCUS_CACHE.SET_POST_MAX_SIZE = JSVC_NUM.VAR_NVAL('<!--[#POST_MAX_SIZE;]-->');
JSCUS_CACHE.SET_MEMORY_LIMIT = JSVC_NUM.VAR_NVAL('<!--[#MEMORY_LIMIT;]-->');
JSCUS_CACHE.SET_MAX_EXECUTION_TIME = <!--[#MAX_EXECUTION_TIME;]-->;
JSCUS_CACHE.SET_DELIVERY_ADJUSTMENT_DD = 0;
CUSTOM_SITE_ARRAY_REQUEST_LIMIT = <!--[#SITE_ARRAY_REQUEST_LIMIT;]-->;

			
// Get Root Path : Online dedicated directory
if(JSVC_STR.VAR_COUNT(JSCUS_CACHE.ROOT_PATH, '/') <= 2)
{
	JSCUS_CACHE.ROOT_PATH = '/';
}
// Get Root Path : Sub-Directories
else
{
	var SLASH_INDEX = JSCUS_CACHE.ROOT_PATH.indexOf('/');
	SLASH_INDEX = JSCUS_CACHE.ROOT_PATH.indexOf('/', SLASH_INDEX + 1);
	SLASH_INDEX = JSCUS_CACHE.ROOT_PATH.indexOf('/', SLASH_INDEX + 1);
	JSCUS_CACHE.ROOT_PATH = JSVC_STR.VAR_DLEFT(JSCUS_CACHE.ROOT_PATH, SLASH_INDEX) + '/';
}

// Apply Copyrights if exists
if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("WEBSITE_COPY_RIGHTS_LBL"))
{
	JSOC_ELEMENT.VAR_INNER_HTML("WEBSITE_COPY_RIGHTS_LBL", JSCUS_CACHE.COPY_RIGHTS);      		
}        
